<div class="row">
    <!-- LE PROGRAMME -->
    <section
        id="slide"
        class="obs-section"
        *ngIf="program && !hideProgramHeader"
    >
        <div
            id="slider"
            class="carousel slide"
        >
            <div class="carousel-inner">
                <h2>
                    {{
                    mainConfig.program_label[localeId]
                    ? mainConfig.program_label[localeId]
                    : 'Programme'
                    }}
                    <span>{{ program.title }}</span>
                </h2>
                <div class="carousel-item active">
                    <img
                        class="d-block w-100 default-img"
                        [src]="program.image || 'assets/default_program.jpg'"
                        alt="program image (fixme context)"
                        *ngIf="program"
                    />
                    <div class="carousel-text-container">
                        <div class="carousel-text">
                            <h3
                                class="mobile"
                                [innerHTML]="program.title"
                            ></h3>
                            <h3
                                class="desktop"
                                [innerHTML]="program.title"
                            ></h3>
                            <div>
                                <h5
                                    class="short-desc"
                                    [innerHTML]="program.short_desc"
                                ></h5>
                                <div
                                    class="long-desc"
                                    [innerHTML]="program.html_long_desc"
                                    id="collapse"
                                    [ngbCollapse]="isCollapsed"
                                ></div>
                                <button
                                    type="button"
                                    class="mobile"
                                    (click)="isCollapsed = !isCollapsed"
                                    [attr.aria-expanded]="!isCollapsed"
                                    aria-controls="collapse"
                                    aria-expanded="false"
                                >
                                    <span>...</span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

<div class="row">
    <!-- LES SITES -->
    <section
        *ngIf="!isMobile"
        id="program"
        class="observations row obs-section"
    >
        <input
            id="slide-sidebar"
            type="checkbox"
            role="button"
        />
        <label
            class="toggle"
            for="slide-sidebar"
        ><i class="fa fa-chevron-left"></i></label>
        <div
            class="col-lg-4 col-md-12 side-bar"
            id="list"
        >
            <app-sites-list
                #sitesListRef
                [sites]="sites"
                [program_id]="program_id"
                [displayForm]="flowService.display"
                [userDashboard]="userDashboard"
                (siteSelect)="sitesMapRef.showPopup($event)"
            >
                <button
                    type="button"
                    class="btn btn-success mr-4 float-right"
                    add-obs
                    (click)="addSiteClicked()"
                    *ngIf="!userDashboard"
                    ngbTooltip="Ajouter un site"
                    placement="left"
                >
                    Ajouter
                </button>
                <app-sitemodalflow
                    #modalFlowRef
                    [coords]="coords"
                    [modalversion]="
                    mainConfig.FRONTEND.NEW_OBS_FORM_MODAL_VERSION
                    "
                    [program_id]="program_id"
                    obs-form
                >
                </app-sitemodalflow>
            </app-sites-list>
        </div>

        <div
            class="map col-lg-12 col-md-12"
            id="map"
        >
            <app-sites-map
                #sitesMapRef
                [features]="sites"
                [program]="programFeature"
                (onClick)="onMapClicked($event)"
            ></app-sites-map>
        </div>
    </section>

    <section
        *ngIf="isMobile"
        class="obs-tabs obs-section"
    >
        <ngb-tabset>
            <ngb-tab title="Liste">
                <ng-template ngbTabContent>
                    <div
                        class="side-bar"
                        id="list"
                    >
                        <app-sites-list
                            #sitesListRef
                            [sites]="sites"
                            [program_id]="program_id"
                            [displayForm]="flowService.display"
                            [userDashboard]="userDashboard"
                            (siteSelect)="sitesMapRef.showPopup($event)"
                        >
                            <button
                                type="button"
                                class="btn btn-success mr-4"
                                btn-open
                            >
                                Ajouter
                            </button>
                            <app-sitemodalflow
                                #modalFlowRef
                                [coords]="coords"
                                [modalversion]="
                                mainConfig.FRONTEND
                                        .NEW_OBS_FORM_MODAL_VERSION
                                "
                                [program_id]="program_id"
                                class="float-right"
                                obs-form
                            >
                                <button
                                    type="button"
                                    class="btn btn-success mr-4"
                                    btn-open
                                >
                                    Ajouter
                                </button>
                            </app-sitemodalflow>
                        </app-sites-list>
                    </div>
                </ng-template>
            </ngb-tab>
            <ngb-tab title="Carte">
                <ng-template
                    ngbTabContent
                    id="tab-map"
                    class="map"
                >
                    <app-sites-map
                        #sitesMapRef
                        [features]="sites"
                        [program]="programFeature"
                        (onClick)="onMapClicked($event)"
                    ></app-sites-map>
                    <div class="btn-groups map-modal-btn">
                        <app-sitemodalflow
                            [coords]="coords"
                            [program_id]="program_id"
                            [modalversion]="
                            mainConfig.FRONTEND.NEW_OBS_FORM_MODAL_VERSION
                            "
                        >
                            <button
                                type="button"
                                class="btn-big text-center text-nowrap text-uppercase"
                                btn-open
                            >
                                {{
                                mainConfig.program_add_an_observation[
                                localeId
                                ]
                                ? mainConfig.program_add_an_observation[
                                localeId
                                ]
                                : 'Ajouter'
                                }}
                            </button>
                        </app-sitemodalflow>
                    </div>
                </ng-template>
            </ngb-tab>
        </ngb-tabset>
    </section>
</div>
